package etu.sl213616;


import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuBar;
import javafx.scene.control.MenuItem;
import javafx.scene.input.KeyCombination;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class App2 extends Application {
	

	@Override
	public void start(Stage stage) {
		BorderPane principal = new BorderPane();
		        Scene scene = new Scene(principal, 640, 480);

		        // Création de la barre de menu
		        MenuBar menus = new MenuBar();

		        // Création des menus principaux
		        Menu menuFichier = new Menu("Fichiers");
		        Menu menuFenetres = new Menu("Fenêtres");

		        // Création des items de menu
		        MenuItem choix = new MenuItem("Choisir un fichier");
		        MenuItem quitter = new MenuItem("Quitter");

		        MenuItem connexion = new MenuItem("Connexion");
		        MenuItem deconnexion = new MenuItem("Déconnexion");
		        MenuItem ajoutV = new MenuItem("Ajouter une ville");

		        // Ajout des items dans les menus
		        menuFichier.getItems().addAll(choix, quitter);
		        menuFenetres.getItems().addAll(connexion, deconnexion, ajoutV);

		        // Ajout des menus dans la barre de menu
		        menus.getMenus().addAll(menuFichier, menuFenetres);

		        // Ajout de la barre de menu dans le haut de la fenêtre principale
		        principal.setTop(menus);

		        // Partie principale de la fenêtre
		        VBox partiePrincipale = new VBox();
		        principal.setCenter(partiePrincipale);

		        // Initialisation de la scène principale
		        stage.setScene(scene);
		        stage.setTitle("Application principale");
		        stage.show();

		}
}
